orientation.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdint.h>`
Include dependency graph for orientation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void | UASOrientationEvent
| Opaque type describing an orientation reading. More...

## Functions

UBUNTU_DLL_PUBLIC uint64_t | uas_orientation_event_get_timestamp (UASOrientationEvent *event)
| Query the timestamp of the sensor reading. More...
UBUNTU_DLL_PUBLIC UStatus | uas_orientation_event_get_azimuth (UASOrientationEvent *event, float *value)
| Query the azimuth (rotation around Z-axis). More...
UBUNTU_DLL_PUBLIC UStatus | uas_orientation_event_get_pitch (UASOrientationEvent *event, float *value)
| Query the pitch (rotation around X-axis). More...
UBUNTU_DLL_PUBLIC UStatus | uas_orientation_event_get_roll (UASOrientationEvent *event, float *value)
| Query the roll (rotation around Y-axis). More...

## Typedef Documentation

typedef void UASOrientationEvent

Opaque type describing an orientation reading.

Definition at line 34 of file orientation.h.

## Function Documentation

UBUNTU_DLL_PUBLIC UStatus uas_orientation_event_get_azimuth | ( | UASOrientationEvent * | event,
|  | float * | value
| ) |  |

Query the azimuth (rotation around Z-axis).

Returns
  U_STATUS_SUCCESS if the updates were successfully started on the service side, else U_STATUS_ERROR.

Parameters

  [out] | value | The reading to be queried.

UBUNTU_DLL_PUBLIC UStatus uas_orientation_event_get_pitch | ( | UASOrientationEvent * | event,
|  | float * | value
| ) |  |

Query the pitch (rotation around X-axis).

Returns
  U_STATUS_SUCCESS if the updates were successfully started on the service side, else U_STATUS_ERROR.

Parameters

  [out] | value | The reading to be queried.

UBUNTU_DLL_PUBLIC UStatus uas_orientation_event_get_roll | ( | UASOrientationEvent * | event,
|  | float * | value
| ) |  |

Query the roll (rotation around Y-axis).

Returns
  U_STATUS_SUCCESS if the updates were successfully started on the service side, else U_STATUS_ERROR.

Parameters

  [out] | value | The reading to be queried.

UBUNTU_DLL_PUBLIC uint64_t uas_orientation_event_get_timestamp | ( | UASOrientationEvent * | event | ) |

Query the timestamp of the sensor reading.

Returns
  The timestamp of the sensor reading in [µs], timebase: monotonic clock.

Parameters

  [in] | event | The reading to be queried.